## org.apache.xpath
Interface ExpressionNode

All Known Implementing Classes:
  ElemTemplateElement, Expression

public interface ExpressionNode
extends SourceLocator

A class that implements this interface can construct expressions, give information about child and parent expressions, and give the originating source information. A class that implements this interface does not lay any claim to being directly executable.

Note: This interface should not be considered stable. Only exprSetParent and exprGetParent can be counted on to work reliably. Work in progress.

Method Summary
`void` `exprAddChild(ExpressionNode n, int i)` This method tells the node to add its argument to the node's list of children.
`ExpressionNode` `exprGetChild(int i)` This method returns a child node.
`int` `exprGetNumChildren()` Return the number of children the node has.
`ExpressionNode` `exprGetParent()`
`void` `exprSetParent(ExpressionNode n)` This pair of methods are used to inform the node of its parent.

Methods inherited from interface javax.xml.transform.SourceLocator
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Method Detail

### exprSetParent

    public void exprSetParent(ExpressionNode n)

  This pair of methods are used to inform the node of its parent.

### exprGetParent

    public ExpressionNode exprGetParent()

### exprAddChild

    public void exprAddChild(ExpressionNode n,
                             int i)

  This method tells the node to add its argument to the node's list of children.

### exprGetChild

    public ExpressionNode exprGetChild(int i)

  This method returns a child node. The children are numbered from zero, left to right.

### exprGetNumChildren

    public int exprGetNumChildren()

  Return the number of children the node has.

Copyright © 2006 Apache XML Project. All Rights Reserved.